karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jamie goodyear (Closed) (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (KARAF-326) eclipse:eclipse importing error
Date Sat, 05 Nov 2011 18:24:52 GMT

     [ https://issues.apache.org/jira/browse/KARAF-326?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jamie goodyear closed KARAF-326.
--------------------------------

    
> eclipse:eclipse importing error
> -------------------------------
>
>                 Key: KARAF-326
>                 URL: https://issues.apache.org/jira/browse/KARAF-326
>             Project: Karaf
>          Issue Type: Bug
>    Affects Versions: 2.1.3, 2.2.0
>            Reporter: Andreas Pieber
>            Assignee: Achim Nierbeck
>             Fix For: 2.1.3, 2.2.0
>
>         Attachments: eclipse-error-fix.patch
>
>
> Reproduce:
> * mvn clean install eclipse:eclipse
> * Use "import existing projects" in eclipse
> Error:
> Eclipse imports org.osgi/org.osgi.core/4.1.0 BEFORE it imports org.apache.felix/org.osgi.core/1.4.0.
Since the first artifact does not contains a Bundle#getVersion method this produces build
errors in eclipse. It works for mvn since the second is imported first (build order; you can
see this using mvn clean install -X).
> Fix:
> Ignore org.osgi/org.osgi.core/4.1.0 since we do not require it at all.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message